Name:           maven-clean-plugin
Version:        3.0.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Clean Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-clean-plugin/
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)

%description
The Maven Clean Plugin is a plugin that removes files generated 
at build-time in a project's directory.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.


%prep
%setup -q 

# junit dependency was removed in Plexus 1.6
%pom_add_dep junit:junit::test

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 3.0.0-2.mga6
+ Revision: 977262
- First rebuild of the java stack
- sync package maven-clean-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.5-12.mga5
+ Revision: 807828
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 2.5-11.mga5
+ Revision: 746524
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 15 2013 dmorgan <dmorgan> 2.5-9.mga4
+ Revision: 557011
- Fix buildrequires
- Fix buildrequires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Sep 21 2013 dmorgan <dmorgan> 2.5-7.mga4
+ Revision: 482677
- Build with xmvn
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 2.5-3.mga4
+ Revision: 481076
- Add maven-core to test dependencies
- Resolves: rhbz#914165

* Sat Jan 12 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 359586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.5-1.mga3
+ Revision: 292621
- New version

* Wed Jul 20 2011 dmorgan <dmorgan> 2.4.1-5.mga2
+ Revision: 127245
- Fix install
- Use upstream tarball
  Build with maven 3.x.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4.1-4.mga1
+ Revision: 92692
- Rebuild after bootstrapping
- imported package maven-clean-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 2.4.1-2
- Fix review comments.

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 2.4.1-1
- Initial package.
